/**
 * Copyright © 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.extension.entity;

import java.util.List;
import com.google.common.collect.Lists;

import com.jeeplus.core.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 工作流扩展Entity
 * @author liugf
 * @version 2019-09-26
 */
public class TaskDefExtension extends DataEntity<TaskDefExtension> {
	
	private static final long serialVersionUID = 1L;
	private String processDefId;		// 流程定义id
	private String taskDefId;		// 任务定义id
	private List<FlowButton> flowButtonList = Lists.newArrayList();		// 子表列表
	
	public TaskDefExtension() {
		super();
	}

	public TaskDefExtension(String id){
		super(id);
	}

	@ExcelField(title="流程定义id", align=2, sort=1)
	public String getProcessDefId() {
		return processDefId;
	}

	public void setProcessDefId(String processDefId) {
		this.processDefId = processDefId;
	}
	
	@ExcelField(title="任务定义id", align=2, sort=2)
	public String getTaskDefId() {
		return taskDefId;
	}

	public void setTaskDefId(String taskDefId) {
		this.taskDefId = taskDefId;
	}
	
	public List<FlowButton> getFlowButtonList() {
		return flowButtonList;
	}

	public void setFlowButtonList(List<FlowButton> flowButtonList) {
		this.flowButtonList = flowButtonList;
	}
}